Installation

Learn how to install Adapty iOS SDK via CocoaPods or Swift Package Manager

You can install Adapty SDK via CocoaPods, or Swift Package Manager.

🚧

Make sure to set Swift 5.0+ for Adapty pod in case your app is using the older version.

Install via CocoaPods

Add Adapty to your Podfile:

pod 'Adapty', '~> 1.14'

And then run:

pod install

This creates an .xcworkspace file for your app. Use this file for all future development of your application.

Install via Swift Package Manager

  1. In Xcode go to File > Swift Packages > Add Package Dependency...
  2. Enter the repository URL https://github.com/adaptyteam/AdaptySDK-iOS.git
  3. Choose the version, and click Next. Xcode will add the package dependency to your project, and you can import it.

Did this page help you?